Name: xboard
Version: 4.2.7
Release: alt2

Group: Games/Boards

Source: ftp://ftp.gnu.org/pub/gnu/xboard/xboard-%version.tar.bz2
Source1: xboard-16x16.png
Source2: xboard-32x32.png
Source3: xboard-48x48.png

Patch0: xboard-4.0.5-entry.patch.bz2

# Automatically added by buildreq on Mon Feb 27 2006
BuildRequires: flex groff-base imake libICE-devel libSM-devel libX11-devel libXaw-devel libXext-devel libXmu-devel libXpm-devel libXt-devel xorg-cf-files xorg-x11-proto-devel


Requires: chess
License: GPL

Summary: An X Window System graphical chessboard
%description
Xboard is an X Window System based graphical chessboard which can be used with
the GNUchess and Crafty chess programs, with Internet Chess Servers (ICSs),
with chess via email, or with your own saved games.

%prep
%setup -q
%patch0 -p1

%build
%configure

%make_build

%install
%makeinstall

#menu
install -d $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/xboard
?package(xboard):         \
needs=X11                 \
section=Amusement/Boards  \
title="XBoard"            \
longtitle="A chessboard game" \
command="/usr/bin/xboard -size Small" \
icon="%name.png"
EOF

#icon
install -Dpm644 %SOURCE1 $RPM_BUILD_ROOT/%_miconsdir/%name.png
install -Dpm644 %SOURCE2 $RPM_BUILD_ROOT/%_niconsdir/%name.png
install -Dpm644 %SOURCE3 $RPM_BUILD_ROOT/%_liconsdir/%name.png

%post
%update_menus
%install_info %name.info

%postun
%clean_menus
%uninstall_info %name.info

%files
%doc COPYING ChangeLog ChangeLog.2 FAQ
%doc FAQ.html INSTALL READ_ME
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*
%_menudir/%name
%_miconsdir/*.png
%_niconsdir/*.png
%_liconsdir/*.png

%changelog
* Mon Feb 27 2006 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt2
- updated buildreq, fixed icons path

* Tue Jan 27 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt1
- 4.2.7

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.6-alt2
- rebuild with gcc3

* Mon May 27 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.6-alt1
- 4.2.6

* Tue Sep 11 2001 Sergey V Turchin <zerg@altlinux.ru> 4.2.3-alt2
- fix menu

* Thu Apr 05 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.3-alt1
- Upgrade to 4.2.3

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.1.0-1mdk
- new and shiny source.

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.7-5mdk
- Fix menu entry

* Wed Aug 16 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.0.7-4mdk
- Minor bug fix in the spec

* Tue Aug 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.0.7-3mdk
- introduced the %_mandir, %_bindir, %_infodir etc.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.7-2mdk
- automatically added BuildRequires

* Thu Jun 13 2000 Florin Grad <florin@mandrakesoft.com> 4.0.7-1mdk
- "new" release

* Fri May 05 2000 Florin Grad <florin@mandrakesoft.com> 4.0.5-2mdk
- fix the menu integration

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.5-1mdk
- Updated to 4.0.5
- New groups
- Added docs
- added menu funtions to spec file

* Fri Nov 12 1999 Damien Kroktine <damien@mandrakesoft.com>
- Mandrake release

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.3

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- change requires: to virtual 'chessprogram'

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- require gnuchess so it will work out of the box

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
